Bug 499526 - User switching crashes on third X server instance [NEEDINFO]
User switching crashes on third X server instance
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 22:44 EDT by Thomas Gillespie
Modified: 2010-06-28 08:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:24:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (tomjamesgillespie)


Attachments (Terms of Use)
GDM logfile (43.38 KB, text/plain)
2009-05-06 22:44 EDT, Thomas Gillespie
no flags Details
lspci -vvnn output (1.04 KB, text/plain)
2009-05-06 22:45 EDT, Thomas Gillespie
no flags Details

  None (edit)
Description Thomas Gillespie 2009-05-06 22:44:20 EDT
Created attachment 342760 [details]
GDM logfile

Description of problem:

User switching works fine for the first switch, and I can log in as another user. Their session starts fine. I can then choose switch user again, return to gdm, and switch back to my own session. However, after this switch, the gdm log file indicates a crash of gdm-simple-greeter. Attempting another user switch brings me to a hung gdm instance with the ui not properly drawn.

Version-Release number of selected component (if applicable):


How reproducible:
Consistently.

Steps to Reproduce:
1. Log in
2. Switch to another user
3. Switch back to your own user (crash happens here)
4. Check the log file or try to switch back to see the results of the crash
  
Actual results:
Unable to switch users consistently

Expected results:
User switching happy and carefree

Additional info:
Comment 1 Thomas Gillespie 2009-05-06 22:45:14 EDT
Created attachment 342761 [details]
lspci -vvnn output
Comment 2 Charles-Henri d'Adhémar 2009-05-24 15:01:35 EDT
Hello,

I used to suffer from the same bug on F11 too.
But since a couple of days I don't anymore. Was it fixed by a recent update ? I have no idea ... Also I changed my ATI driver from radeon to radeonhd. It may be a clue.

I am running F11 X86_64 with radeonhd Xorg driver.

I hope it helped !
Cheers,
CH
Comment 3 Basil Mohamed Gohar 2009-06-01 10:14:47 EDT
I am experiencing this same problem on my laptop, which has an RV350 Radeon Mobility 9600 Pro GPU.

I am running the stock radeon driver.  The process described in the first post is almost exactly the same thing happening to me.  Works once, twice, and then the third time switching back, gdm locks.

I've found a work-around, which is to basically just switch to the X session directly, namely, CTRL-ALT-F1 to go back to the first one (which prompts for a password) and CTRL-ALT-F7 to go back to the second one (again, prompting for the user's password).  I usually do the session-switch when the GDM switch fails.
Comment 4 Bug Zapper 2009-06-09 11:16:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Charles-Henri d'Adhémar 2009-06-22 03:44:50 EDT
(In reply to comment #2)


> I used to suffer from the same bug on F11 too.
> But since a couple of days I don't anymore. Was it fixed by a recent update ? I
> have no idea ... Also I changed my ATI driver from radeon to radeonhd. It may
> be a clue.

I am back to ATI radeon driver (not radeonhd) for other reasons and this bug came back. I will do some testing back with radeonhd to see if this is a clue or if the problem is elsewhere.
Comment 6 Sergey Rudchenko 2009-09-23 17:14:03 EDT
Thank you for the bug report.

> ATI radeon driver

Do you mean the proprietary driver or xorg-x11-drv-ati?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Charles-Henri d'Adhémar 2009-09-24 05:39:46 EDT
No I am using exclusively free software here.
I was referring to the official default Xorg ATI driver, xf86-video-ati at http://www.x.org/wiki/radeon.

I confirm the bug still occurs randomly, not exclusively on the third switch.
I did not managed to find a scenario to reproduce the issue : it just occurs randomly (corruption ?)

I would be very happy to help debugging here : Following the stacktrace guide (https://fedoraproject.org/wiki/StackTraces) I did not managed to enable coredump generation for gdm exclusively. I can run valgrind over gdm and whatever you want but I do not want to activate coredump and debugging for all Xorg related softwares since my computer is used by my wife for her daily work (that is why I use the user switch applet a lot).

On the other hand I did not have the time to run the ATI radeon tests for F12 (http://fedoraproject.org/wiki/Test_Day:2009-09-09_Radeon) and see if the issue occurs on rawhide too ...
I hope this bug will die by itself, since a lots of thing are happening on the ATI/Xorg side !

Thank you for your help !
Cheers,
Chicha.
Comment 8 Matěj Cepl 2009-11-05 13:28:41 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 9 Matěj Cepl 2010-02-26 07:25:38 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 10 Bug Zapper 2010-04-27 10:10:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 08:24:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.